/*
 * RetrieveDocument.java
 *
 */

package no.ingeberg.newsMLGrensesnitt;
import org.xmldb.api.base.*;
import org.xmldb.api.modules.*;
import org.xmldb.api.*;

import java.io.*;

/**
 *
 * @author  Administrator
 */
public class RetrieveDocument {
    public   RetrieveDocument(String refDok){
        Collection col = null;
        try {
            String driver = "org.apache.xindice.client.xmldb.DatabaseImpl";
            Class c = Class.forName(driver);
            Database database = (Database) c.newInstance();
            DatabaseManager.registerDatabase(database);
            col =            DatabaseManager.getCollection("xmldb:xindice:///db/addressbook");
            XMLResource document = (XMLResource) col.getResource(refDok);
            if (document != null) {
                System.out.println("Document " + refDok);
                System.out.println(document.getContent());
            }
            else {
                System.out.println("Document not found");
            }
        }
        catch (XMLDBException e) {
            System.err.println("XML:DB Exception occured " + e.errorCode);
        }
        catch (Exception ee) {
            System.err.println("Exception occured " + ee.toString());
            ee.printStackTrace();
        }
        finally {
            try {
                if (col != null) col.close();
            }
            catch (Exception ex) {
            System.err.println("Exception occured " + ex.toString());
            ex.printStackTrace();
        }
            
        }
    }
}




