/*
 * ConnectDB.java
 *
 */

package no.ingeberg.newsMLGrensesnitt.tools;
import org.xmldb.api.base.*;
import org.xmldb.api.modules.*;
import org.xmldb.api.*;
import java.io.*;

public class ConnectDB {
    private String driver = "org.apache.xindice.client.xmldb.DatabaseImpl";
    private String databaseNavn = "xmldb:xindice:///db/addressbook";
    private Database database = null;
    
    public ConnectDB() {
        try {
            Class c = Class.forName(driver);
            database = (Database) c.newInstance();
            DatabaseManager.registerDatabase(database);
        }
        catch (Exception e) {
            System.err.println("Exception occured :" + e.toString());
            e.printStackTrace();
        }
    }
    
    public Collection getCol() throws XMLDBException { 
        return DatabaseManager.getCollection(databaseNavn);
    }
}