/*
 * Serial.java
 */

package no.ingeberg.newsMLGrensesnitt.tools;
import java.io.*;

/**
 *
 * @author Marit Ingeberg
 */
public class Serial_1 {
    private int serial;
    private File file = null;
    
    /** Creates a new instance of Serial */
    public Serial_1(String path) {
        serial = 0;
        //Intialiserer fila, med serial verdien.
        file = new File(path);  // Oppretter ein VIRTUELL fil
        try{
            file.createNewFile();   // Oppretter ein fysisk fil
            BufferedWriter bw = new BufferedWriter(new FileWriter(file));
            bw.write(serial);
            bw.flush();
            bw.close();
        }
        catch (IOException ioe){ ioe.printStackTrace(); }
        catch (Exception e){ e.printStackTrace(); }
    }
    
    public Serial_1(File initfile) {
        file = initfile;
        // Les ut verdien i fila og init serial
       try{
            BufferedReader br = new BufferedReader(new FileReader(file));
            serial = new Integer(br.readLine()).intValue();
            br.close();
        }
        catch (IOException ioe){ ioe.printStackTrace(); }
        catch (Exception e){ e.printStackTrace(); }
    }
    
    public int getNext() {
        // Lagr endringa til fil
        try{
            BufferedWriter bw = new BufferedWriter(new FileWriter(file));
            bw.write(new String(new Integer(++serial).toString()));
            bw.flush();
            bw.close();
        }
        catch (IOException ioe){ ioe.printStackTrace(); }
        catch (Exception e){ e.printStackTrace(); }
        return serial; // Send tilbake neste int
    }
}
